package com.tsconsulting.dsubbotin.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-07-15T16:50:49.542+03:00
 * Generated source version: 3.4.3
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", name = "SessionEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface SessionEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/SessionEndpoint/registerRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/SessionEndpoint/registerResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/SessionEndpoint/register/Fault/AbstractException")})
    @RequestWrapper(localName = "register", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.Register")
    @ResponseWrapper(localName = "registerResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.RegisterResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.tsconsulting.dsubbotin.tm.endpoint.Session register(

        @WebParam(name = "login", targetNamespace = "")
        java.lang.String login,
        @WebParam(name = "password", targetNamespace = "")
        java.lang.String password,
        @WebParam(name = "email", targetNamespace = "")
        java.lang.String email
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/SessionEndpoint/openSessionRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/SessionEndpoint/openSessionResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/SessionEndpoint/openSession/Fault/AbstractException")})
    @RequestWrapper(localName = "openSession", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.OpenSession")
    @ResponseWrapper(localName = "openSessionResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.OpenSessionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.tsconsulting.dsubbotin.tm.endpoint.Session openSession(

        @WebParam(name = "login", targetNamespace = "")
        java.lang.String login,
        @WebParam(name = "password", targetNamespace = "")
        java.lang.String password
    ) throws AbstractException_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.dsubbotin.tsconsulting.com/SessionEndpoint/closeSessionRequest", output = "http://endpoint.tm.dsubbotin.tsconsulting.com/SessionEndpoint/closeSessionResponse", fault = {@FaultAction(className = AbstractException_Exception.class, value = "http://endpoint.tm.dsubbotin.tsconsulting.com/SessionEndpoint/closeSession/Fault/AbstractException")})
    @RequestWrapper(localName = "closeSession", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.CloseSession")
    @ResponseWrapper(localName = "closeSessionResponse", targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/", className = "com.tsconsulting.dsubbotin.tm.endpoint.CloseSessionResponse")
    @WebResult(name = "return", targetNamespace = "")
    public boolean closeSession(

        @WebParam(name = "session", targetNamespace = "")
        com.tsconsulting.dsubbotin.tm.endpoint.Session session
    ) throws AbstractException_Exception;
}
